Ticket #58 (closed defect: fixed)

Opened 6 years ago

Last modified 4 years ago

stratcon -> noitd journal freezes

Reported by: jesus Assigned to: jesus
Priority: major Milestone:
Component: stratcond Severity: critical
Keywords: Cc:

Description

Only thing I see in the logs is on the stratcon side:

SSL rw error: 5

Change History

10/11/08 21:50:07 changed by jesus

(In [468]) more debugging, refs #58

01/30/09 05:10:44 changed by jesus

  • status changed from new to closed.
  • resolution set to worksforme.

seems a non-error.

08/31/09 00:36:28 changed by jesus

  • status changed from closed to reopened.
  • resolution deleted.
  • severity set to critical.

08/31/09 00:36:48 changed by jesus

This is still reported as an issue.

08/31/09 00:38:50 changed by jesus

(In [813]) Since this is over SSL, it is possible that we need write to do our read. We should register the completion with all possible trigger types and then "try" and set the mask we need upon return of first call.

This is an edge case and I'm convinced this isn't the actual fix to the problem we're seeing.

refs #58

09/25/09 13:44:28 changed by jesus

(In [883]) Add TCP KEEPALIVE to the outbound jlog connections (fix display errors on the noit statistics due to inplace ntohl() calls. refs #58

12/30/09 18:34:23 changed by jesus

  • status changed from reopened to closed.
  • resolution set to worksforme.

No reports of failure on this part in a long time.

02/23/10 21:33:01 changed by jesus

  • status changed from closed to reopened.
  • resolution deleted.

02/23/10 21:33:42 changed by jesus

  • status changed from reopened to closed.
  • resolution set to fixed.

(In [1232]) This change should finally fix it. closes #58